﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinStatusBar;
using System.Drawing;

namespace _94719
{
    class MyDraw:IUIElementDrawFilter
    {
        Color bc;
        Color bc2;

        public MyDraw(Color BackColor, Color BackColor2)
        {
            bc = BackColor;
            bc2 = BackColor2;
        }

        #region IUIElementDrawFilter Members

        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            drawParams.AppearanceData.BackColor = bc;
            drawParams.AppearanceData.BackColor2 = bc2;
            return false;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            UIElement parent = drawParams.Element;
            if (parent is MDIButtonUIElement)
                return DrawPhase.BeforeDrawBackColor;
            return DrawPhase.None;
        }

        #endregion
    }
}
